#include "Lexesis/automata.h"
#include "Lexesis/re.h"

#include <iostream>

int main() {
    lxs::ENFA enfa;
    std::shared_ptr<lxs::RE> re = lxs::parseRE("[]-a-dA-D]");
    re->toENFA(enfa, 0);
    enfa.numStates++;
    enfa.starting = 0;
    std::cout << lxs::toDot(enfa) << std::endl;
}
